summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2014-10-25 22:47:39 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2014-10-25 22:48:19 -0700
commita0a142906f09222fa0de40a7f4867997d31a909c (patch)
tree6e190ffa16b3a0bbe37eae6b8a2a02852e33f5c9
parent3c6162e7707099967a9a9844f9071b976cde5452 (diff)
downloadgrep-a0a142906f09222fa0de40a7f4867997d31a909c.tar.gz
tests: work around older libpcre bugs when testing -P and UTF-8
* tests/pcre-invalid-utf8-input: Add require_timeout_ and require_compiled_in_MB_support. Put a timeout of 3 seconds on grep, to avoid having this test case loop forever with older versions of libpcre, such as those found on RHEL 6.5. Reported by Jim Meyering in: http://bugs.gnu.org/18806#34
-rwxr-xr-xtests/pcre-invalid-utf8-input8
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/pcre-invalid-utf8-input b/tests/pcre-invalid-utf8-input
index 78bd1cfa..71d48775 100755
--- a/tests/pcre-invalid-utf8-input
+++ b/tests/pcre-invalid-utf8-input
@@ -9,21 +9,23 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../src
require_pcre_
+require_timeout_
require_en_utf8_locale_
+require_compiled_in_MB_support
fail=0
printf 'j\202j\nj\nk\202\n' > in || framework_failure_
-LC_ALL=en_US.UTF-8 grep -P j in
+LC_ALL=en_US.UTF-8 timeout 3 grep -P j in
test $? -eq 0 || fail=1
-LC_ALL=en_US.UTF-8 grep -P 'k$' in
+LC_ALL=en_US.UTF-8 timeout 3 grep -P 'k$' in
test $? -eq 1 || fail=1
echo k >exp
-LC_ALL=en_US.UTF-8 grep -aoP 'k*' in >out || fail=1
+LC_ALL=en_US.UTF-8 timeout 3 grep -aoP 'k*' in >out || fail=1
compare exp out || fail=1
Exit $fail